> ## Documentation Index
> Fetch the complete documentation index at: https://browseruse-0aece648-cursor-proxy-indicator-and-text-6cda.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Workspace Files

> Get presigned PUT URLs for uploading files to a workspace.



## OpenAPI

````yaml cloud/openapi/v3.json post /workspaces/{workspace_id}/files/upload
openapi: 3.1.0
info:
  title: Browser Use Public API v3
  summary: Browser Use session-based agent API (v3)
  version: 3.0.0
servers:
  - url: https://api.browser-use.com/api/v3
    description: Production server
security: []
paths:
  /workspaces/{workspace_id}/files/upload:
    post:
      tags:
        - Workspaces
      summary: Upload Workspace Files
      description: Get presigned PUT URLs for uploading files to a workspace.
      operationId: upload_workspace_files_workspaces__workspace_id__files_upload_post
      parameters:
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Workspace Id
        - name: prefix
          in: query
          required: false
          schema:
            type: string
            description: Directory prefix to upload into (e.g. "uploads/")
            default: ''
            title: Prefix
          description: Directory prefix to upload into (e.g. "uploads/")
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FileUploadRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FileUploadResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    FileUploadRequest:
      properties:
        files:
          items:
            $ref: '#/components/schemas/FileUploadItem'
          type: array
          maxItems: 10
          minItems: 1
          title: Files
      type: object
      required:
        - files
      title: FileUploadRequest
      description: Request body for generating presigned upload URLs.
    FileUploadResponse:
      properties:
        files:
          items:
            $ref: '#/components/schemas/FileUploadResponseItem'
          type: array
          title: Files
      type: object
      required:
        - files
      title: FileUploadResponse
      description: Presigned upload URLs for the requested files.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FileUploadItem:
      properties:
        name:
          type: string
          maxLength: 255
          minLength: 1
          title: Name
          description: Filename, e.g. "data.csv"
        contentType:
          type: string
          maxLength: 255
          title: Contenttype
          description: MIME type, e.g. "text/csv"
          default: application/octet-stream
        size:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Size
          description: File size in bytes (required for workspace uploads)
      type: object
      required:
        - name
      title: FileUploadItem
      description: A single file to upload.
    FileUploadResponseItem:
      properties:
        name:
          type: string
          title: Name
        uploadUrl:
          type: string
          title: Uploadurl
        path:
          type: string
          title: Path
          description: S3-relative path, e.g. "uploads/data.csv"
      type: object
      required:
        - name
        - uploadUrl
        - path
      title: FileUploadResponseItem
      description: Presigned upload URL for a single file.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Browser-Use-API-Key

````